#
# uMTP Responder config file
#

# UBports: Don't show hidden files
show_hidden_files 0

# UBports: Use phablet user as default for all storage file operations
default_uid 32011
default_gid 32011

# Add home folder as default "internal storage" entry
storage "/home/phablet" "Internal Storage" "rw,locked"
# TODO: when generated dynamically add options to:
# - expose SD card (and even other mountpoints?)
# - show hidden files

# Set the USB strings visible to host systems
# FIXME: get dynamically via libdeviceinfo ("device-info get PrettyName" etc)
manufacturer "Samsung"
product "Samsung Tab S9"
# FIXME: set to something proper when generated, namely androidboot.serialno
serial "UT2004"

# Set the MTP firmware version
firmware_version "Rev A"

# Set the USB interface string. Should be always "MTP"
interface "MTP"

# Set the USB Vendor ID, Product ID and class
# FIXME: set to something proper! (main ones already configured for usb-moded like IDVENDOR, IDPRODUCT_MTP etc)
usb_vendor_id  0x18D1 # Linux Foundation
usb_product_id 0x6860 # PTP Gadget
usb_class 0x6         # Image
usb_subclass 0x1      # Still Imaging device
usb_protocol 0x1      #

# Device version
usb_dev_version 0x3008

# Generic FunctionFS Mode
usb_functionfs_mode 0x1

usb_dev_path   "/dev/usb-ffs/mtp/ep0"
usb_epin_path  "/dev/usb-ffs/mtp/ep1"
usb_epout_path "/dev/usb-ffs/mtp/ep2"
usb_epint_path "/dev/usb-ffs/mtp/ep3"

usb_max_packet_size 0x200
